#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, i, max=0, xor, and, j, g;
    scanf("%d", &n);
    int a[n], b[n];
    for(i=0;i<n;i++){
        scanf("%d", &a[i]);
    }
    for(i=0;i<n;i++){
        scanf("%d", &b[i]);
    }
    for(i=0;i<n;i++){
        xor=0;
        and=b[i];
        for(j=i;j<n;j++){
            xor=xor^a[j];
            and=and&b[j];
            g=xor*and;
            if(g>max){
                max=g;
            }
        }
    }
    printf("%d", max);
}